Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# RobotStateSymbols Class Reference

The Xabsl2 symbols that are defined in "robot-state-symbols.xml". More...

`#include <RobotStateSymbols.h>`

Inheritance diagram for RobotStateSymbols:

[legend]
Collaboration diagram for RobotStateSymbols:

[legend]
List of all members.

## Public Types
enum | DisplayWLANStatus { wlanHide = 0, wlanShow }
## Public Member Functions
| RobotStateSymbols (const BehaviorControlInterfaces &interfaces)
void | registerSymbols (Xabsl2Engine &engine)
| registers the symbols at an engine
void | update ()
| updates the symbols
bool | getConnectedToWLAN ()
double | getWLANLink ()
double | getWLANSignal ()
double | getWLANNoise ()
double | getFilteredWLANLink ()
double | getFilteredWLANSignal ()
double | getFilteredWLANNoise ()
Input symbols
bool | getAnyBackButtonPressedForOneSecond ()
bool | getAnyBackButtonPressedShortAndReleased ()
bool | getForeBackButtonPressedShortAndReleased ()
bool | getMiddleBackButtonPressedShortAndReleased ()
bool | getHindBackButtonPressedShortAndReleased ()
bool | getForeBackButtonPressedShort ()
bool | getMiddleBackButtonPressedShort ()
bool | getHindBackButtonPressedShort ()
bool | getHeadButtonPressedForThreeSeconds ()
bool | getHeadButtonPressedShortAndReleased ()
bool | getHeadButtonPressedShort ()
bool | getChinButtonPressedForThreeSeconds ()
int | getMouthState ()
bool | getBallUnderHead ()
bool | getSomethingInFrontOfChest ()
double | getTimeSinceSomethingWasInFrontOfChest ()
double | getDistanceToSIFOC ()
double | getSwitchesPressedTime ()
double | getCurrentSystemTime ()
double | getRemainingCapacity ()
## Public Attributes
DisplayWLANStatus | WLANSignalStrenghShownByFaceLEDs
double | filteredWLANLink
double | filteredWLANSignal
double | filteredWLANNoise

## Detailed Description

The Xabsl2 symbols that are defined in "robot-state-symbols.xml".

Author:
  Matthias Jüngel

Definition at line 20 of file RobotStateSymbols.h.

## Member Enumeration Documentation

enum RobotStateSymbols::DisplayWLANStatus

  | Enumeration values:
  wlanHide |
  wlanShow |
Definition at line 35 of file RobotStateSymbols.h.

## Constructor & Destructor Documentation

RobotStateSymbols::RobotStateSymbols | ( | const BehaviorControlInterfaces & | interfaces | ) |

| Definition at line 16 of file RobotStateSymbols.cpp.

## Member Function Documentation

void RobotStateSymbols::registerSymbols | ( | Xabsl2Engine & | engine | ) |

| registers the symbols at an engine Definition at line 31 of file RobotStateSymbols.cpp. References getAnyBackButtonPressedForOneSecond(), getAnyBackButtonPressedShortAndReleased(), getBallUnderHead(), getChinButtonPressedForThreeSeconds(), getConnectedToWLAN(), getCurrentSystemTime(), getDistanceToSIFOC(), getFilteredWLANLink(), getFilteredWLANNoise(), getFilteredWLANSignal(), getForeBackButtonPressedShort(), getForeBackButtonPressedShortAndReleased(), getHeadButtonPressedForThreeSeconds(), getHeadButtonPressedShort(), getHeadButtonPressedShortAndReleased(), getHindBackButtonPressedShort(), getHindBackButtonPressedShortAndReleased(), getMiddleBackButtonPressedShort(), getMiddleBackButtonPressedShortAndReleased(), getMouthState(), getRemainingCapacity(), getSomethingInFrontOfChest(), getTimeSinceSomethingWasInFrontOfChest(), getWLANLink(), getWLANNoise(), getWLANSignal(), Xabsl2Symbols::registerBooleanInputSymbol(), Xabsl2Symbols::registerDecimalInputSymbol(), Xabsl2Symbols::registerEnumeratedInputSymbol(), Xabsl2Symbols::registerEnumeratedInputSymbolEnumElement(), Xabsl2Symbols::registerEnumeratedOutputSymbol(), Xabsl2Symbols::registerEnumeratedOutputSymbolEnumElement(), wlanHide, wlanShow, and WLANSignalStrenghShownByFaceLEDs. Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

void RobotStateSymbols::update | ( |  | ) |

| updates the symbols Definition at line 123 of file RobotStateSymbols.cpp.

bool RobotStateSymbols::getAnyBackButtonPressedForOneSecond | ( |  | ) |

| Definition at line 165 of file RobotStateSymbols.cpp. References RobotState::getAnyBackButtonDuration(), RobotState::getAnyBackButtonPressed(), RobotState::getAnyBackButtonPressedTime(), RobotState::getAnyBackButtonTime(), and SystemCall::getTimeSince(). Referenced by registerSymbols().

Here is the call graph for this function:

bool RobotStateSymbols::getAnyBackButtonPressedShortAndReleased | ( |  | ) |

| Definition at line 181 of file RobotStateSymbols.cpp. References RobotState::getAnyBackButtonPressed(), RobotState::getAnyBackButtonPressedTime(), RobotState::getAnyBackButtonTime(), and SystemCall::getTimeSince(). Referenced by registerSymbols().

Here is the call graph for this function:

bool RobotStateSymbols::getForeBackButtonPressedShortAndReleased | ( |  | ) |

| Definition at line 200 of file RobotStateSymbols.cpp. References RobotState::getButtonPressed(), RobotState::getButtonPressedTime(), RobotState::getButtonTime(), and SystemCall::getTimeSince(). Referenced by registerSymbols().

Here is the call graph for this function:

bool RobotStateSymbols::getMiddleBackButtonPressedShortAndReleased | ( |  | ) |

| Definition at line 219 of file RobotStateSymbols.cpp. References RobotState::getButtonPressed(), RobotState::getButtonPressedTime(), RobotState::getButtonTime(), and SystemCall::getTimeSince(). Referenced by registerSymbols().

Here is the call graph for this function:

bool RobotStateSymbols::getHindBackButtonPressedShortAndReleased | ( |  | ) |

| Definition at line 238 of file RobotStateSymbols.cpp. References RobotState::getButtonPressed(), RobotState::getButtonPressedTime(), RobotState::getButtonTime(), and SystemCall::getTimeSince(). Referenced by registerSymbols().

Here is the call graph for this function:

bool RobotStateSymbols::getForeBackButtonPressedShort | ( |  | ) |

| Definition at line 190 of file RobotStateSymbols.cpp. References RobotState::getButtonDuration(), and RobotState::getButtonPressed(). Referenced by registerSymbols().

Here is the call graph for this function:

bool RobotStateSymbols::getMiddleBackButtonPressedShort | ( |  | ) |

| Definition at line 209 of file RobotStateSymbols.cpp. References RobotState::getButtonDuration(), and RobotState::getButtonPressed(). Referenced by registerSymbols().

Here is the call graph for this function:

bool RobotStateSymbols::getHindBackButtonPressedShort | ( |  | ) |

| Definition at line 228 of file RobotStateSymbols.cpp. References RobotState::getButtonDuration(), and RobotState::getButtonPressed(). Referenced by registerSymbols().

Here is the call graph for this function:

bool RobotStateSymbols::getHeadButtonPressedForThreeSeconds | ( |  | ) |

| Definition at line 247 of file RobotStateSymbols.cpp. References RobotState::getButtonDuration(), RobotState::getButtonPressed(), RobotState::getButtonPressedTime(), RobotState::getButtonTime(), and SystemCall::getTimeSince(). Referenced by registerSymbols().

Here is the call graph for this function:

bool RobotStateSymbols::getHeadButtonPressedShortAndReleased | ( |  | ) |

| Definition at line 274 of file RobotStateSymbols.cpp. References RobotState::getButtonPressed(), RobotState::getButtonPressedTime(), RobotState::getButtonTime(), and SystemCall::getTimeSince(). Referenced by registerSymbols().

Here is the call graph for this function:

bool RobotStateSymbols::getHeadButtonPressedShort | ( |  | ) |

| Definition at line 263 of file RobotStateSymbols.cpp. References RobotState::getButtonDuration(), and RobotState::getButtonPressed(). Referenced by registerSymbols().

Here is the call graph for this function:

bool RobotStateSymbols::getChinButtonPressedForThreeSeconds | ( |  | ) |

| Definition at line 376 of file RobotStateSymbols.cpp. References RobotState::getButtonDuration(), RobotState::getButtonPressed(), RobotState::getButtonPressedTime(), RobotState::getButtonTime(), and SystemCall::getTimeSince(). Referenced by registerSymbols().

Here is the call graph for this function:

int RobotStateSymbols::getMouthState | ( |  | ) |

| A function for the symbol "self.mouth-state" Definition at line 127 of file RobotStateSymbols.cpp. References RobotState::getMouthState(). Referenced by registerSymbols().

Here is the call graph for this function:

bool RobotStateSymbols::getBallUnderHead | ( |  | ) |

| A function for the symbol "self.ball-under-head" Definition at line 142 of file RobotStateSymbols.cpp. References SensorData::data, and SensorDataBuffer::lastFrame(). Referenced by registerSymbols().

Here is the call graph for this function:

bool RobotStateSymbols::getSomethingInFrontOfChest | ( |  | ) |

| A function for the symbol "robot-state.something-in-front-of-chest" Definition at line 149 of file RobotStateSymbols.cpp. References RobotState::getSomethingInFrontOfChest(). Referenced by registerSymbols().

Here is the call graph for this function:

double RobotStateSymbols::getTimeSinceSomethingWasInFrontOfChest | ( |  | ) |

| A function for the symbol "robot-state.time-since-something-was-in-front-of-chest" Definition at line 154 of file RobotStateSymbols.cpp. References SystemCall::getTimeSince(), and RobotState::getTimeWhenSomethingWasInFrontOfChestLast(). Referenced by registerSymbols().

Here is the call graph for this function:

double RobotStateSymbols::getDistanceToSIFOC | ( |  | ) |

| A function for the symbol "robot-state.distance-to-sifoc" Definition at line 159 of file RobotStateSymbols.cpp. References RobotState::getDistanceToSIFOC(). Referenced by registerSymbols().

Here is the call graph for this function:

double RobotStateSymbols::getSwitchesPressedTime | ( |  | ) |

| A function for the symbol "self.switches.pressed-time"

double RobotStateSymbols::getCurrentSystemTime | ( |  | ) |

| A function for the symbol "robot-state.system-time" Definition at line 132 of file RobotStateSymbols.cpp. References SystemCall::getCurrentSystemTime(). Referenced by registerSymbols().

Here is the call graph for this function:

double RobotStateSymbols::getRemainingCapacity | ( |  | ) |

| A function for the symbol "robot-state.remaining-capacity" Definition at line 137 of file RobotStateSymbols.cpp. References SystemCall::getRemainingPower(). Referenced by registerSymbols().

Here is the call graph for this function:

bool RobotStateSymbols::getConnectedToWLAN | ( |  | ) |

| Definition at line 284 of file RobotStateSymbols.cpp. Referenced by registerSymbols().

double RobotStateSymbols::getWLANLink | ( |  | ) |

| Definition at line 302 of file RobotStateSymbols.cpp. Referenced by registerSymbols().

double RobotStateSymbols::getWLANSignal | ( |  | ) |

| Definition at line 313 of file RobotStateSymbols.cpp. Referenced by registerSymbols().

double RobotStateSymbols::getWLANNoise | ( |  | ) |

| Definition at line 324 of file RobotStateSymbols.cpp. Referenced by registerSymbols().

double RobotStateSymbols::getFilteredWLANLink | ( |  | ) |

| Definition at line 337 of file RobotStateSymbols.cpp. References alpha, and filteredWLANLink. Referenced by registerSymbols().

double RobotStateSymbols::getFilteredWLANSignal | ( |  | ) |

| Definition at line 350 of file RobotStateSymbols.cpp. References alpha, and filteredWLANSignal. Referenced by registerSymbols().

double RobotStateSymbols::getFilteredWLANNoise | ( |  | ) |

| Definition at line 363 of file RobotStateSymbols.cpp. References alpha, and filteredWLANNoise. Referenced by registerSymbols().

## Member Data Documentation

DisplayWLANStatus RobotStateSymbols::WLANSignalStrenghShownByFaceLEDs

| Definition at line 40 of file RobotStateSymbols.h. Referenced by registerSymbols().

double RobotStateSymbols::filteredWLANLink

| Definition at line 74 of file RobotStateSymbols.h. Referenced by getFilteredWLANLink().

double RobotStateSymbols::filteredWLANSignal

| Definition at line 75 of file RobotStateSymbols.h. Referenced by getFilteredWLANSignal().

double RobotStateSymbols::filteredWLANNoise

| Definition at line 76 of file RobotStateSymbols.h. Referenced by getFilteredWLANNoise().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/CommonXabsl2Symbols/RobotStateSymbols.h
- Modules/BehaviorControl/CommonXabsl2Symbols/RobotStateSymbols.cpp